## org.hibernate.event.spi
Class DirtyCheckEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.FlushEvent
              org.hibernate.event.spi.DirtyCheckEvent

All Implemented Interfaces:
  Serializable

    public class DirtyCheckEvent

extends FlushEvent

Defines an event class for the dirty-checking of a session.

See Also:
  Serialized Form

Constructor Summary
`DirtyCheckEvent(EventSource source)`

Method Summary
`boolean` `isDirty()`
`void` `setDirty(boolean dirty)`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirtyCheckEvent

    public DirtyCheckEvent(EventSource source)

Method Detail

### isDirty

    public boolean isDirty()

### setDirty

    public void setDirty(boolean dirty)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.